CVE-2017-8343

MEDIUM

Description

In ImageMagick 7.0.5-5, the ReadAAIImage function in aai.c allows attackers to cause a denial of service (memory leak) via a crafted file.

References

http://www.debian.org/security/2017/dsa-3863

http://www.securityfocus.com/bid/98132

https://github.com/ImageMagick/ImageMagick/issues/444

Details

Source: MITRE

Published: 2017-04-30

Updated: 2019-10-03

Type: CWE-772

Risk Information

CVSS v2.0

Base Score: 4.3

Vector: AV:N/AC:M/Au:N/C:N/I:N/A:P

Impact Score: 2.9

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3.0

Base Score: 6.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

Impact Score: 3.6

Exploitability Score: 2.8

Severity: MEDIUM

Tenable Plugins

View all (7 total)

IDNameProductFamilySeverity
100847ImageMagick 6.x < 6.9.8-10 / 7.x < 7.0.5-9 Multiple VulnerabilitiesNessusWindows
medium
100799openSUSE Security Update : ImageMagick (openSUSE-2017-686)NessusSuSE Local Security Checks
high
100661SUSE SLED12 / SLES12 Security Update : ImageMagick (SUSE-SU-2017:1489-1)NessusSuSE Local Security Checks
high
100547Ubuntu 14.04 LTS / 16.04 LTS / 16.10 / 17.04 : imagemagick vulnerabilities (USN-3302-1)NessusUbuntu Local Security Checks
high
100480Debian DLA-960-1 : imagemagick security updateNessusDebian Local Security Checks
high
100441FreeBSD : ImageMagick -- multiple vulnerabilities (50776801-4183-11e7-b291-b499baebfeaf)NessusFreeBSD Local Security Checks
high
100433Debian DSA-3863-1 : imagemagick - security updateNessusDebian Local Security Checks
high